================================================================================
-VERSION 0.9.8 21 Jun 2005
+VERSION 0.9.9 18 Jul 2005
+
+New :
+
+ * Xnet :
+ - Groups can be non subscribable. -Car
+
+================================================================================
+VERSION 0.9.8 18 Jul 2005
New :
if (has_perms()) {
$globals->xdb->execute(
"UPDATE groupex.asso
- SET nom={?}, diminutif={?}, cat={?}, dom={?}, descr={?}, site={?}, mail={?}, resp={?}, forum={?}, mail_domain={?}, ax={?}, pub={?}, sub_url={?}
+ SET nom={?}, diminutif={?}, cat={?}, dom={?}, descr={?}, site={?}, mail={?}, resp={?}, forum={?}, mail_domain={?}, ax={?}, pub={?}, sub_url={?}, inscriptible={?}
WHERE id={?}",
Post::get('nom'), Post::get('diminutif'), Post::get('cat'), Post::getInt('dom'),
Post::get('descr'), Post::get('site'), Post::get('mail'), Post::get('resp'),
- Post::get('forum'), Post::get('mail_domain'), Post::has('ax'), Post::has('pub')?'private':'public', Post::get('sub_url'), $globals->asso('id'));
+ Post::get('forum'), Post::get('mail_domain'), Post::has('ax'), Post::has('pub')?'private':'public', Post::get('sub_url'), Post::get('inscriptible'),
+ $globals->asso('id'));
if (Post::get('mail_domain')) {
$globals->xdb->execute('INSERT INTO virtual_domains (domain) VALUES({?})', Post::get('mail_domain'));
}
$page->assign('asso', $globals->asso());
$page->assign('admin', may_update());
+if (!$globals->asso('inscriptible'))
+ $page->kill("Il n'est pas possible de s'inscire en ligne à ce groupe. Essaie de joindre le contact indiqué sur la page de présentation.");
if (Env::has('u') && may_update()) {
$u = Env::get('u');
<tr>
<td class="titre">
+ Inscription possible:
+ </td>
+ <td>
+ <input type="radio" value="1" id="inscr_yes"
+ {if $asso.inscriptible eq 1}checked="checked"{/if}
+ name="inscriptible" />
+ <label for="inscr_yes">oui</label>
+ <input type="radio" value="0" id="inscr_no"
+ {if $asso.inscriptible neq 1}checked="checked"{/if}
+ name="inscriptible" />
+ <label for="inscr_no">non</label>
+ </td>
+ </tr>
+
+ <tr>
+ <td class="titre">
Lien pour l'inscription:<br />
<em>laisser vide par défaut</em>
</td>
--- /dev/null
+#!/bin/bash
+
+. ../inc/pervasive.sh
+
+mailman_stop
+mailman_templates
+mailman_start
+
+
+###########################################################
+for sql in *.sql
+do
+ echo -n $sql
+ $MYSQL x4dat < $sql &>/dev/null || echo -n " ERROR"
+ echo .
+done
+
+###########################################################
+
+echo "we will now upgrade the search table (this may be a long operation)
+
+please hit ^D to continue
+"
+
+cat
+
+pushd ../../bin
+./search.rebuild_db.php
+popd
+
+###########################################################
+